Package picard.analysis.directed

# Class TargetedPcrMetricsCollector

java.lang.Object
picard.metrics.MultiLevelCollector<TargetedPcrMetrics,Integer,htsjdk.samtools.SAMRecord>
picard.metrics.SAMRecordMultiLevelCollector<TargetedPcrMetrics,Integer>
picard.analysis.directed.TargetMetricsCollector<TargetedPcrMetrics>
picard.analysis.directed.TargetedPcrMetricsCollector

public class TargetedPcrMetricsCollector extends TargetMetricsCollector<TargetedPcrMetrics>
Calculates HS metrics for a given SAM or BAM file. Requires the input of a list of target intervals and a list of bait intervals. Can be invoked either on an entire iterator of SAMRecords or be passed SAMRecords one at a time.

## Nested Class Summary

## Nested classes/interfaces inherited from class picard.analysis.directed.TargetMetricsCollector

`TargetMetricsCollector.Coverage, TargetMetricsCollector.PerUnitTargetMetricCollector`

## Field Summary

### Fields inherited from class picard.analysis.directed.TargetMetricsCollector

`NEAR_PROBE_DISTANCE_DEFAULT`

### Fields inherited from class picard.metrics.MultiLevelCollector

`UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance, int minimumMappingQuality, int minimumBaseQuality, boolean clipOverlappingReads, boolean noSideEffects, boolean includeIndels, int coverageCap, int sampleSize)`
`TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance, int minimumMappingQuality, int minimumBaseQuality, boolean clipOverlappingReads, int coverageCap, int sampleSize)`

## Method Summary

Modifier and Type
Method
Description
`TargetedPcrMetrics`
`convertMetric(TargetMetrics targetMetrics)`

### Methods inherited from class picard.analysis.directed.TargetMetricsCollector

`getBaseQualityHistogram, getDepthHistogram, getNearProbeDistance, getNumBasesPassingMinimumBaseQuality, makeAllReadCollector, makeChildCollector, reflectiveCopy, setNearProbeDistance, setNoSideEffects`

### Methods inherited from class picard.metrics.SAMRecordMultiLevelCollector

`makeArg`

### Methods inherited from class picard.metrics.MultiLevelCollector

`acceptRecord, addAllLevelsToFile, finish, getAllReadsCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TargetedPcrMetricsCollector

public TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance, int minimumMappingQuality, int minimumBaseQuality, boolean clipOverlappingReads, int coverageCap, int sampleSize)

### TargetedPcrMetricsCollector

public TargetedPcrMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance, int minimumMappingQuality, int minimumBaseQuality, boolean clipOverlappingReads, boolean noSideEffects, boolean includeIndels, int coverageCap, int sampleSize)

## Method Details

### convertMetric

public TargetedPcrMetrics convertMetric(TargetMetrics targetMetrics)

Specified by:
  `convertMetric` in class `TargetMetricsCollector<TargetedPcrMetrics>`